Subject: bug#19775: Test failing after the CVE fix

From: Paul Eggert <[email-masked]>
Date: Wed, 04 Feb 2015 16:56:54 -0800

Vladimír Čunát wrote:
> After the latest CVE fix I'm getting an assertion failure in tests (below). I
> reproduce that both on latest master (846e7eee8) or with 2.21 with patch
> 83a95bd8c8 applied (2.21 itself is OK).
>
>
> XFAIL: triple-backref

XFAIL means it's eXpected to FAIL.  So when the test fails, that means the test 
is working (though 'grep' itself has a bug, of course).

The same XFAIL occurs with grep 2.21 on my platform (Fedora 21 x86-64).  The 
underlying bug is platform-dependent.  I'm a bit surprised you're seeing the bug 
with the latest master but not with 2.21, but it's conceivable you've run into a 
platform dependency, e.g., your grep 2.21 has the bug but the test case doesn't 
suffice to demonstrate it on your platform.